#-------------------------------------------------
#
# Project created by QtCreator 2018-03-08T00:24:49
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = GildorsFontRestorator
TEMPLATE = app
QMAKE_CXXFLAGS += -Os -mpreferred-stack-boundary=2 -finline-small-functions -momit-leaf-frame-pointer
# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0


SOURCES += \
        main.cpp \
        gui.cpp \
    qpushablelabel.cpp

HEADERS += \
        gui.h \
    qpushablelabel.h

FORMS += \
        gui.ui

RESOURCES += \
    data.qrc

win32: LIBS += -L$$PWD/lotro_dat/lib/ -lLotroDat_static

INCLUDEPATH += $$PWD/lotro_dat/include
DEPENDPATH += $$PWD/lotro_dat/include

win32:!win32-g++: PRE_TARGETDEPS += $$PWD/lotro_dat/lib/LotroDat_static.lib
else:win32-g++: PRE_TARGETDEPS += $$PWD/lotro_dat/lib/libLotroDat_static.a


unix:!macx|win32: LIBS += -L$$PWD/lotro_dat/Third_party/lib/ -lyaml-cpp

INCLUDEPATH += $$PWD/lib/Third_party
DEPENDPATH += $$PWD/lib/Third_party

win32:!win32-g++: PRE_TARGETDEPS += $$PWD/lotro_dat/Third_party/lib/yaml-cpp.lib
else:unix:!macx|win32-g++: PRE_TARGETDEPS += $$PWD/lotro_dat/Third_party/lib/libyaml-cpp.a

unix:!macx|win32: LIBS += -L$$PWD/lotro_dat/Third_party/lib/ -lzlibstatic

INCLUDEPATH += $$PWD/lotro_dat/Third_party
DEPENDPATH += $$PWD/lotro_dat/Third_party

win32:!win32-g++: PRE_TARGETDEPS += $$PWD/lotro_dat/Third_party/lib/zlibstatic.lib
else:unix:!macx|win32-g++: PRE_TARGETDEPS += $$PWD/lotro_dat/Third_party/lib/libzlibstatic.a

RC_ICONS = $$PWD/data/icon.ico
